package xhttp3.internal.connection;

import java.io.IOException;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

public final class RouteException extends RuntimeException {
   private static final Method addSuppressedExceptionMethod;
   private IOException lastException;

   public RouteException(IOException cause) {
      super(cause);
      this.lastException = cause;
   }

   private void addSuppressedIfPossible(IOException e, IOException suppressed) {
      Method var5;
      if ((var5 = addSuppressedExceptionMethod) != null) {
         try {
            var5.invoke(e, suppressed);
         } catch (InvocationTargetException var3) {
         } catch (IllegalAccessException var4) {
         }
      }

   }

   static {
      Method var0;
      label32: {
         Method var4;
         label31: {
            label34: {
               Class var10000;
               boolean var10001;
               try {
                  var10000 = Throwable.class;
               } catch (Exception var3) {
                  var10001 = false;
                  break label34;
               }

               String var5 = "addSuppressed";

               Class[] var10002;
               try {
                  var10002 = new Class[1];
               } catch (Exception var2) {
                  var10001 = false;
                  break label34;
               }

               Class[] var10003 = var10002;
               byte var10004 = 0;

               try {
                  var10003[var10004] = Throwable.class;
                  var4 = var10000.getDeclaredMethod(var5, var10002);
                  break label31;
               } catch (Exception var1) {
                  var10001 = false;
               }
            }

            var0 = null;
            break label32;
         }

         var0 = var4;
      }

      addSuppressedExceptionMethod = var0;
   }

   public IOException getLastConnectException() {
      return this.lastException;
   }

   public void addConnectException(IOException e) {
      this.addSuppressedIfPossible(e, this.lastException);
      this.lastException = e;
   }
}
